Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1527422 - Add python-vitrage-tests-tempest
Summary: Add python-vitrage-tests-tempest
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-12-19 11:57 UTC by Chandan Kumar
Modified: 2018-01-23 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 16:29:46 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Chandan Kumar 2017-12-19 11:57:07 UTC
Package Name: python-vitrage-tests-tempest
Project URL: https://github.com/openstack/vitrage-tempest-plugin
Description: Tempest plugin for vitrage project

Comment 1 Alfredo Moralejo 2017-12-21 08:59:12 UTC
licensecheck output.

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.stestr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./vitrage_tempest_tests/README.rst: *No copyright* UNKNOWN
./vitrage_tempest_tests/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/config.py: Apache (v2.0)
./vitrage_tempest_tests/plugin.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/aodh_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/ceilometer_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/cinder_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/general_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/glance_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/heat_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/neutron_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/nova_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/tempest_clients.py: Apache (v2.0)
./vitrage_tempest_tests/tests/common/vitrage_utils.py: Apache (v2.0)
./vitrage_tempest_tests/tests/database/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/database/test_persistor.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_aodh.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_cinder_volume.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_heat_stack.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_neutron.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_nova.py: Apache (v2.0)
./vitrage_tempest_tests/tests/datasources/test_static_physical.py: Apache (v2.0)
./vitrage_tempest_tests/tests/e2e/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/e2e/test_actions_base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/e2e/test_basic_actions.py: Apache (v2.0)
./vitrage_tempest_tests/tests/e2e/test_overlapping_actions.py: Apache (v2.0)
./vitrage_tempest_tests/tests/notifiers/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/notifiers/test_mistral_notifier.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/alarms/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/alarms/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/alarms/test_alarms.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/event/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/event/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/event/test_events.py: Apache (v2.0) GENERATED FILE
./vitrage_tempest_tests/tests/api/rca/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/rca/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/rca/test_rca.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/resources/test_resources.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/templates/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/templates/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/templates/test_template.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/topology/__init__.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/topology/base.py: Apache (v2.0)
./vitrage_tempest_tests/tests/api/topology/test_topology.py: Apache (v2.0)
./vitrage_tempest_tests/tests/resources/heat/heat_nested_template.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/heat/heat_template.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/heat/policy.json-tempest: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/heat/server.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/static_physical/static_physical_configuration.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/corrupted_template.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/e2e_test_basic_actions.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/e2e_test_overlapping_actions.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/execute_mistral.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/host_aodh_alarm_for_rca.yaml: *No copyright* UNKNOWN
./vitrage_tempest_tests/tests/resources/templates/api/nagios_alarm_for_alarms.yaml: *No copyright* UNKNOWN


Package has valid license: Apache v2.0

Comment 3 Javier Peña 2018-01-09 16:09:30 UTC
Review notes:

- The notes about license.png and bundled fonts are expected, these are added by the autogenerated documentation in the -docs subpackage.
- The source0 tarball generation message is expected, the SRPM was generated by DLRN.
- Same about the %define explanation.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 31 files have unknown
     license. Detailed output of licensecheck in /tmp/python-vitrage-tests-
     tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -vitrage-tests-tempest , python-vitrage-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev196
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-vitrage-tests-tempest-0.0.1-0.20180109143547.f057c98.el7.centos.noarch.rpm
          python-vitrage-tests-tempest-doc-0.0.1-0.20180109143547.f057c98.el7.centos.noarch.rpm
          python-vitrage-tests-tempest-0.0.1-0.20180109143547.f057c98.el7.centos.src.rpm
python2-vitrage-tests-tempest.noarch: E: no-changelogname-tag
python-vitrage-tests-tempest-doc.noarch: W: summary-not-capitalized C python-vitrage-tests-tempest documentation
python-vitrage-tests-tempest-doc.noarch: E: no-changelogname-tag
python-vitrage-tests-tempest.src: E: no-changelogname-tag
python-vitrage-tests-tempest.src: W: invalid-url Source0: vitrage_tempest_tests-0.0.1.dev196-0.20180109143547.f057c98.tar.gz
3 packages and 0 specfiles checked; 3 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-vitrage-tests-tempest.noarch: E: no-changelogname-tag
python2-vitrage-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/vitrage-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-vitrage-tests-tempest-doc.noarch: W: summary-not-capitalized C python-vitrage-tests-tempest documentation
python-vitrage-tests-tempest-doc.noarch: E: no-changelogname-tag
python-vitrage-tests-tempest-doc.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/vitrage-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 2 errors, 3 warnings.



Requires
--------
python2-vitrage-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-aodhclient
    python-ceilometerclient
    python-cinderclient
    python-dateutil
    python-glanceclient
    python-heatclient
    python-keystoneclient
    python-mistralclient
    python-networkx
    python-neutronclient
    python-novaclient
    python-oslo-config
    python-oslo-log
    python-oslo-serialization
    python-oslotest
    python-pbr
    python-six
    python-tempest
    python-testtools
    python-vitrage
    python-vitrageclient

python-vitrage-tests-tempest-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-vitrage-tests-tempest:
    python-vitrage-tests-tempest
    python2-vitrage-tests-tempest

python-vitrage-tests-tempest-doc:
    python-vitrage-tests-tempest-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-vitrage-tests-tempest -m dlrn -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 4 Javier Peña 2018-01-23 16:29:46 UTC
The package is now built in RDO Trunk, closing bug.


Note You need to log in before you can comment on or make changes to this bug.